/*
 * console_table.h
 *
 * included only by console.c
 *
 * holds the data definitions for managing simultaneous support for
 * TGA and VGA consoles
 */

#if defined(CONFIG_TGA_CONSOLE) && defined(CONFIG_VGA_CONSOLE)

int curr_cons = 0; /* default to VGA; TGA must be 1 (tga.c dependency) */

const struct console_desc cons_devices[] = {
	{ "VGA",
	  vga_set_cursor,
	  vga_hide_cursor,
	  vga_init,
	  vga_set_get_cmap,
	  vga_set_get_font,
	  vga_get_scrmem,
	  vga_vesa_blank,
	  vga_vesa_unblank,
	  vga_vesa_powerdown,
	  vga_set_vesa_blanking,
	  vga_set_palette,
	  vga_set_scrmem,
	  vga_adjust_height,
	  vga_set_origin,
	  NULL,				/* blitc */
	},
	{ "TGA",
	  tga_set_cursor,
	  tga_hide_cursor,
	  tga_init,
	  tga_set_get_cmap,
	  tga_set_get_font,
	  tga_get_scrmem,
	  tga_vesa_blank,
	  tga_vesa_unblank,
	  tga_vesa_powerdown,
	  tga_set_vesa_blanking,
	  tga_set_palette,
	  tga_set_scrmem,
	  tga_adjust_height,
	  tga_set_origin,
	  tga_blitc,
	},
    };

#endif
